document.addEventListener('DOMContentLoaded', function() {
  const sites = [
    'sites/site1.html',
    'sites/site2.html',
    'sites/site3.html',
    'sites/site4.html',
    'sites/site5.html'
  ];

  let currentIndex = 0;
  const iframe = document.getElementById('siteFrame');
  const prevButton = document.getElementById('prevButton');
  const nextButton = document.getElementById('nextButton');
  const siteCounter = document.getElementById('siteCounter');

  function updateSite() {
    iframe.src = sites[currentIndex];
    siteCounter.textContent = `${currentIndex + 1} / ${sites.length}`;
    prevButton.disabled = currentIndex === 0;
    nextButton.disabled = currentIndex === sites.length - 1;
  }

  prevButton.addEventListener('click', () => {
    if (currentIndex > 0) {
      currentIndex--;
      updateSite();
    }
  });

  nextButton.addEventListener('click', () => {
    if (currentIndex < sites.length - 1) {
      currentIndex++;
      updateSite();
    }
  });

  document.addEventListener('keydown', (e) => {
    if (e.key === 'ArrowLeft' && currentIndex > 0) {
      currentIndex--;
      updateSite();
    } else if (e.key === 'ArrowRight' && currentIndex < sites.length - 1) {
      currentIndex++;
      updateSite();
    }
  });

  updateSite();
});
